Capture an authorized payment.
POST
/v1/payments/{reference}/capture
const url = 'https://api.ridleypay.com/v1/payments/WRK-042/capture';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"amount":147}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.ridleypay.com/v1/payments/WRK-042/capture \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "amount": 147 }'Captures a previously authorized (held) payment for the specified amount. The capture amount may be less than or equal to the authorized amount.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”reference
required
string
The payment reference.
Example
WRK-042Request Body
Section titled “Request Body”Media typeapplication/json
object
amount
The capture amount. Defaults to the full authorized amount. Must not exceed it.
number
Example
147Responses
Section titled “ Responses ”Captured
Media typeapplication/json
object
data
object
id
integer
type
string
attributes
object
reference
string
amount
string
status
string
captured_at
string
meta
object
message
string
Example
{ "data": { "id": 1, "type": "payments", "attributes": { "reference": "WRK-042", "amount": "147.00", "status": "PAID", "captured_at": "2026-06-18T21:30:00+00:00" } }, "meta": { "message": "Payment captured successfully." }}Not found
Media typeapplication/json
object
errors
Array<object>
object
status
string
title
string
detail
string
Example
{ "errors": [ { "status": "404", "title": "Not Found", "detail": "Payment not found." } ]}Media typeapplication/json
One of:
Not capturable
object
errors
Array<object>
object
status
string
title
string
detail
string
Amount exceeds hold
object
errors
Array<object>
object
status
string
title
string
detail
string
Example
{ "errors": [ { "status": "422", "title": "Unprocessable Entity", "detail": "Only authorized (held) payments can be captured." } ]}